/*
* Copyright (c) 2000-2015 Samsung Electronics Co., Ltd All Rights Reserved
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/

#define MAIN_W  720
#define MAIN_H  1280

#define FONT_NANE   "Tizen:style=Medium"
#define WHITE_COLOR 255 255 255 255

#define LITE_SCALE_W    0.44
#define LITE_SCALE_H    0.375

#define THUMBNAIL_WIDTH		72*LITE_SCALE_W
#define THUMBNAIL_HEIGHT	72*LITE_SCALE_W
#define PS_ICON_SIZE		45*LITE_SCALE_W
#define SEARCHBAR_H_INC     98*LITE_SCALE_H
#define MF_GENGRID_CONTENT_W    112*LITE_SCALE_W
#define MF_GENGRID_CONTENT_H    112*LITE_SCALE_H

/********* search bar **************/
#define SEARCHBAR_BASE_HEIGHT_INC   98*LITE_SCALE_H
#define SEARCHBAR_TOP_PADDING_INC   13*LITE_SCALE_H
#define SEARCHBAR_LEFT_PADDING_INC  16*LITE_SCALE_W
#define SEARCHBAR_RIGHT_PADDING_INC 16*LITE_SCALE_W
#define SEARCHBAR_HEIGHT_INC        72*LITE_SCALE_H
#define SEARCHBAR_CANCEL_BUTTON_W_INC 0 //72*LITE_SCALE_W
#define SEARCHBAR_BACKGROUND_COLOR 34 44 71 255
#define SEARCHBAR_BG_COLOR 5 90 118 255
#define SEARCHBAR_CANCEL_BUTTON_LEFT_PADDING_INC 10*LITE_SCALE_W

/********* top layout ****************/
#define ROOT_SEG_H      48
#define GROUP_INDEX_H   40
#define ROOT_CATEGORY_H 137*3
#define ROOT_CATEGORY_LANDSCAPE_H	137*2
#define DEFAULT_ICON "myfile_icon_etc.png"

/* TODO : Should check redundacnt DEFINE with mf-fs-util.h */

/*************** title icon ******************/
#define MF_TITLE_ICON_HOME          "myfile_controlbar_cion_home.png"
#define MF_TITLE_ICON_UPPER	        "myfile_controlbar_cion_up_folder.png"
#define MF_TITLE_ICON_SEARCH        "myfile_title_icon_search.png"
#define MF_TITLE_ICON_SELECT_ALL    "myfile_icon_select_all.png"

/***************default icon ***********************/
#define MF_ICON_FOLDER		"myfile_icon_folder.png"
#define MF_ICON_IMAGE		"myfile_icon_images.png"
#define MF_ICON_VIDEO		"myfile_icon_video.png"
#define MF_ICON_MUSIC		"myfile_icon_music.png"
#define MF_ICON_SOUND		"myfile_icon_amr.png"
#define MF_ICON_PDF			"myfile_icon_pdf.png"
#define MF_ICON_DOC			"myfile_icon_word.png"
#define MF_ICON_PPT			"myfile_icon_ppt.png"
#define MF_ICON_EXCEL		"myfile_icon_excel.png"
//#define MF_ICON_VOICE		"myfile_icon_amr.png"
#define MF_ICON_HTML		"myfile_icon_html.png"
#define MF_ICON_FLASH		"myfile_icon_swf.png"
#define MF_ICON_TXT			"myfile_icon_text.png"
#define MF_ICON_VCONTACT	"myfile_icon_vcard.png"
#define MF_ICON_VCALENDAR	"myfile_icon_vcalender.png"
#define MF_ICON_VNOTE		"myfile_icon_vText.png"
#define MF_ICON_RSS			"myfile_icon_rss.png"
#define MF_ICON_JAVA		"myfile_icon_java.png"
#define MF_ICON_MEMORY_SUB	"myfile_icon_mmc_sub.png"
#define MF_ICON_VIDEO_PLAY	"myfile_icon_video_play.png"
#define MF_ICON_TPK			"myfile_icon_tpk.png"
#define MF_ICON_EMAIL		"myfile_icon_email.png"
#define MF_ICON_SVG			"myfile_icon_svg.png"
#define MF_ICON_SNB			"myfile_icon_snb.png"
#define MF_ICON_TASK		"myfile_icon_task.png"
#define MF_ICON_HWP			"myfile_icon_hwp.png"
#define MF_ICON_GUL			"myfile_icon_etc.png"
#define MF_ICON_ZIP			"myfile_icon_zip.png"
#define MF_ICON_MUSIC_THUMBNAIL "myfile_icon_default_albumart.jpg"
#define MF_ICON_SOFT_BACK			"myfile_icon_soft_back.png"
#define MF_ICON_SOFT_SEARCH_BACK			"myfile_icon_soft_search_back.png"
#define MF_ICON_SOFT_SEARCH_CANCEL			"T01_2_button_expand_cancel.png"



/***************** root icon *************/
#define MF_ICON_ITEM_ROOT_PHONE "myfile_icon_root_folder_device_memory.png"
#define MF_ICON_ITEM_ROOT_MMC	"my_files_sd_card.png"
#define MF_ICON_ITEM_SHORTCUT	"my_files_folder_favorite.png"

#define MF_ICON_ITEM_MMC	    "myfile_icon_folder_sdcard.png"

/************ search category icon ***********/
#define IMG_ICON_SEARCH_CATEGORY_ALL    "myfile_search_category_all.png"
#define IMG_ICON_SEARCH_CATEGORY_IMG    "myfile_search_category_img.png"
#define IMG_ICON_SEARCH_CATEGORY_SND    "myfile_search_category_snd.png"
#define IMG_ICON_SEARCH_CATEGORY_VIDEO  "myfile_search_category_video.png"
#define IMG_ICON_SEARCH_CATEGORY_DOC    "myfile_search_category_doc.png"

/******* nocontents  icon **********************/
#define IMG_ICON_IMG_NO_CONTENTS    "00_nocontents_picture.png"
#define IMG_ICON_MULTI_NO_CONTENTS  "00_nocontents_multimedia.png"
#define IMG_ICON_TEXT_NO_CONTENTS   "00_nocontents_text.png"
#define IMG_ICON_DEV_NO_CONTENTS    "00_nocontents_devices.png"

