/*
* Copyright (c) 2000-2015 Samsung Electronics Co., Ltd All Rights Reserved
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/

#ifndef __DEF_MYFILE_RESOURCE_H_
#define __DEF_MYFILE_RESOURCE_H_


/*********************   System strings ***************/
#define MF_POP_MSG_CLOSE		"IDS_COM_POP_CLOSE"
#define MF_LABEL_SEARCH			"IDS_COM_BODY_SEARCH"
//#define MF_LABEL_CREATE_FOLDER		"IDS_COM_BODY_CREATE_FOLDER"
#define MF_LABEL_CREATE_FOLDER		"IDS_MF_OPT_CREATE_FOLDER"
#define MF_LABEL_FOLDER			"IDS_COM_POP_FOLDER"
#define MF_LABEL_DONE			"IDS_TPLATFORM_ACBUTTON_DONE_ABB"//"IDS_COM_SK_DONE"
#define MF_LABEL_LIST			"IDS_COM_OPT_LIST"
#define MF_LABEL_MORE			"IDS_COM_BODY_MORE"
//#define MF_LABEL_SELECTED		"IDS_MF_ACHEADER1_PD_SELECTED"
#define MF_LABEL_NAME_HA_TO_Z		"IDS_MF_OPT_NAME_HA_TO_Z"
#define MF_LABEL_NAME_HZ_TO_A		"IDS_MF_OPT_NAME_HZ_TO_A"
#define MF_LABEL_DATE_HMOST_RECENT	"IDS_MF_OPT_DATE_HMOST_RECENT"
#define MF_LABEL_DATE_HOLDEST		"IDS_MF_OPT_DATE_HOLDEST"
#define MF_LABEL_NO_FILES		"IDS_MF_BODY_NO_FILES"
#define MF_LABEL_SELECT_ALL		"IDS_COM_BODY_SELECT_ALL"
#define MF_LABEL_DESELECT_ALL		"IDS_GALLERY_BUTTON_DESELECT_ALL_ABB2"
#define MF_LABEL_DELETE		"IDS_TPLATFORM_ACBUTTON_DELETE_ABB"
#define MF_LABEL_CANCEL		"IDS_TPLATFORM_ACBUTTON_CANCEL_ABB"

#define MF_LABEL_PHONE			"IDS_COM_BODY_PHONE"
#define MF_LABEL_MMC			"IDS_COM_BODY_MEMORY_CARD"
#define MF_POP_MSG_BT			"IDS_COM_BODY_BLUETOOTH"
#define MF_POP_MSG_EMAIL		"IDS_COM_BODY_EMAIL"
#define MF_POP_MSG_MESSAGE		"IDS_COM_BODY_MESSAGE"
#define LABEL_MYFILE			"IDS_COM_BODY_MY_FILES"
#define LABEL_SAVE			"IDS_COM_SK_SAVE"
#define LABEL_CANCEL		"IDS_COM_SK_CANCEL"
#define LABEL_RENAME			"IDS_MF_OPT_RENAME"
#define LABEL_DETAIL			"IDS_COM_BODY_DETAILS"
#define LABEL_SHOW_HIDDEN		"IDS_MF_OPT_SHOW_HIDDEN_FILES_ABB"
#define LABEL_HIDE_HIDDEN		"IDS_MF_OPT_DO_NOT_SHOW_HIDDEN_FILES_ABB"
#define LABEL_DELETE			"IDS_COM_BODY_DELETE"
#define LABEL_SEARCH			"IDS_COM_SK_SEARCH"
#define LABEL_SHARE			"IDS_MF_BODY_SHARE"
#define LABEL_COPY			"IDS_COM_BODY_COPY"
#define LABEL_MOVE			"IDS_COM_BODY_MOVE"
#define MF_BUTTON_LABEL_YES		"IDS_COM_SK_YES"
#define MF_BUTTON_LABEL_NO		"IDS_COM_SK_NO"
#define MF_BUTTON_LABEL_OK		"IDS_COM_SK_OK"
#define MF_BUTTON_LABEL_DEL		"IDS_MF_POP_DELETE_Q"
#define MF_MSG_COPYING			"IDS_COM_POP_COPYING_ING"
#define MF_MSG_DELETING			"IDS_COM_POP_DELETING"
#define MF_MSG_REMOVING			"IDS_MF_POP_REMOVING_ING"
#define MF_MSG_MOVING			"IDS_COM_POP_MOVING"
#define MF_MSG_COPY_SCCESS		"IDS_COM_POP_COPIED_P"
#define MF_MSG_MOVE_SUCCESS		"IDS_COM_POP_MOVED"
#define MF_MSG_DELETE_SUCCESS		"IDS_COM_POP_DELETED"
#define MF_MSG_MOVE_FAILED		"IDS_COM_POP_MOVING_FAILED"
#define MF_POP_MSG_WIFI			"IDS_COM_OPT1_WI_FI_DIRECT"
#define LABEL_NO_RESULT			"IDS_COM_BODY_NO_SEARCH_RESULTS"
#define MF_LABEL_INVALID_CHARACTERS	"IDS_COM_POP_INVALID_CHARACTERS"
#define MF_LABEL_RETRY			"IDS_COM_SK_RETRY"
#define MF_LABEL_REPLACE		"IDS_COM_BODY_REPLACE_ABB"
#define MF_LABEL_LIST_BY		"IDS_COM_BODY_LIST_BY"
#define MF_LABEL_EDIT			"IDS_MEDIABR_HEADER_SELECT_ITEM"	//fix P131210-05640 by ray
#define MF_LABEL_UNSUPPORT_FILE_TYPE	"IDS_COM_POP_UNSUPPORTED_FILE_TYPE"
#define MF_LABEL_HOME			"IDS_MF_BUTTON_HOME"
//#define MF_LABEL_SELECT_ALL			"IDS_MF_MBODY_SELECT_ALL"
#define MF_LABEL_SUCCESS		"IDS_COM_POP_SUCCESS"
#define MF_LABEL_FAILED			"IDS_COM_POP_FAILED"
#define MF_LABEL_DELETE_FAILED		"IDS_COM_POP_DELETE_FAILED"
#define MF_LABEL_FILE_NOT_EXIST		"IDS_COM_POP_FILE_NOT_EXIST"
#define MF_LABEL_NOTHING_SELECTED	"IDS_COM_POP_NOTHING_SELECTED"
#define MF_LABEL_NO_APP			"IDS_MF_POP_THIS_FILE_TYPE_IS_NOT_SUPPORTED_BY_ANY_APPLICATION_ON_YOUR_DEVICE"
#define MF_LABEL_MAX_CHARACTER_REACHED	"IDS_GALLERY_TPOP_MAXIMUM_NUMBER_OF_CHARACTERS_PD_REACHED"
#define MF_LABEL_BACK				"IDS_COM_SK_BACK"
#define MF_LABEL_ADDED				"IDS_COM_OPT_ADDED"
#define MF_LABEL_SEARCHING			"IDS_COM_POP_SEARCHING"
#define MF_LABEL_PROCESSING			"IDS_COM_POP_PROCESSING"
#define MF_LABEL_MMC_REMOVED			"IDS_COM_POP_MEMORY_CARD_REMOVED"
#define MF_LABEL_IMAGES				"IDS_COM_BODY_IMAGES"
#define MF_LABEL_OTHERS				"IDS_COM_BODY_OTHERS"
#define MF_LABEL_SOUNDS				"IDS_COM_BODY_SOUNDS"
// #define MF_LABEL_AUDIOS				"IDS_MF_BUTTON2_AUDIO"
#define MF_LABEL_AUDIOS				"IDS_MF_HEADER_AUDIO"
#define MF_LABEL_TITLE_AUDIOS			"IDS_MF_BUTTON2_AUDIO_FILES_ABB"
#define MF_LABEL_VIDEOS				"IDS_COM_BODY_VIDEOS"
#define MF_LABEL_OPEN				"IDS_COM_SK_OPEN"
#define MF_LABEL_SETTINGS			"IDS_COM_BODY_SETTINGS"
#define MF_LABEL_VOICE				"IDS_COM_BODY_VOICE"
#define MF_LABEL_DOWNLOAD			"IDS_COM_SK_DOWNLOAD"
#define MF_LABEL_DOWNLOADING			"IDS_MP_POP_DOWNLOADING"
#define MF_LABEL_DOWNLOAD_FAILED		"IDS_COM_POP_DOWNLOAD_FAILED"
#define MF_LABEL_DOWNLOAD_CANCEL		"IDS_COM_POP_CANCELLED"
#define MF_LABEL_MUSIC				"IDS_COM_BODY_MUSIC"
#define MF_LABEL_REMOVE_FROME_RECENT  "IDS_MF_POP_REMOVE_FROM_RECENT_FILES_LIST_Q"
#define MF_LABEL_REMOVE_FROM_SHORTCUT "IDS_MF_POP_REMOVE_FROM_SHORTCUTS_Q"
#define LABEL_MYFILE_CHAP			"IDS_COM_BODY_MY_FILES"
#define LABEL_SHARE_CHAP			"IDS_COM_SK4_SHARE"
#define MF_LABEL_EDIT_CHAP			"IDS_COM_BODY_EDIT"
#define LABEL_RENAME_CHAP			"IDS_MF_OPT_RENAME"
//#define MF_LABEL_CREATE_FOLDER_CHAP		"IDS_COM_BODY_CREATE_FOLDER"
#define MF_LABEL_CREATE_FOLDER_CHAP		"IDS_MF_OPT_CREATE_FOLDER"
#define LABEL_DETAIL_CHAP			"IDS_COM_BODY_DETAILS"
#define LABEL_DELETE_CHAP			"IDS_COM_BODY_DELETE"
#define MF_LABEL_SEARCH_CHAP			"IDS_COM_SK_SEARCH"
#define MF_LABEL_SELECTED			"IDS_COM_BODY_PD_SELECTED"
#define MF_LABEL_SINGLE_ITEM_SELECTED	"IDS_VR_POP_1_ITEM_SELECTED"
#define MF_LABEL_CANCEL_FOR_SEARCH		"IDS_COM_SK_CANCEL"
#define MF_LABEL_ALL				"IDS_COM_BODY_ALL"
#define MF_LABEL_REMOVE				"IDS_COM_SK_REMOVE"
#define MF_LABEL_NOT_ENOUGH_MEMORY		"IDS_COM_POP_NOT_ENOUGH_MEMORY"
#define MF_MSG_CREATE_DIR_FAILED		"IDS_COM_POP_FAILED"
#define MF_LABEL_REFRESH			"IDS_COM_SK_REFRESH"
#define MF_LABEL_DIRECTORY			"IDS_MF_TZTAB2_DIRECTORY"
#define MF_LABEL_CLOUD			"Cloud Storage"//"IDS_MF_TZTAB2_DIRECTORY"
#define MF_LABEL_BYTE				"IDS_MF_BODY_BYTE"
#define MF_LABEL_KBYTE				"IDS_MF_BODY_DETAILS_KB"
#define MF_LABEL_MBYTE				"IDS_COM_BODY_MB"
#define MF_LABEL_GBYTE				"IDS_COM_BODY_GB"
#define MF_LABEL_CREATE				"IDS_COM_BODY_CREATE"
#define MF_LABEL_CATEGORY			"IDS_GALLERY_BODY_CATEGORY"
#define MF_LABEL_LOCAL_STORAGE		"IDS_MF_HEADER_LOCAL_STORAGE_ABB"


#define MF_POP_SEARCH_ALL			"IDS_COM_BODY_ALL"
#define MF_POP_SEARCH_IMAGES			"IDS_COM_BODY_IMAGES"
#define MF_POP_SEARCH_VIDEOS			"IDS_COM_BODY_VIDEOS"
#define MF_POP_SEARCH_SOUNDS			"IDS_COM_BODY_SOUNDS"
#define MF_LABEL_NETWORK_ERROR			"IDS_COM_POP_NETWORK_CONNECTION_ERROR"
#define MF_POPUP_ID_MAX_NO_CHARS_REACHED "IDS_COM_POP_MAXIMUM_NUMBER_OF_CHARACTERS_REACHED"
#define MF_POP_ENTER_FOLDER_NAME	"IDS_MF_NPBODY_ENTER_FOLDER_NAME"
#define MF_POP_MOVE_WARNING_TITLE 		"IDS_MF_POP_UNABLE_TO_MOVE"
#define MF_POP_COPY_WARNING_TITLE 		"IDS_MF_POP_UNABLE_TO_COPY"
#define MF_POP_MAX_WARNING_TITEL		"IDS_MF_HEADER_UNABLE_TO_CREATE_FOLDER_ABB"
/**********No string ID  ************/
#define MF_POPUP_MESSAGE_SEND_FAIL3		"Folder can't be sent"    //not in use
#define MF_MSG_ILLEGAL_CHAR			"IDS_VR_POP_INVALID_CHARACTER_ENTERED_TRY_AGAIN"//"IDS_COM_BODY_INVALID_CHARACTER_ENTERED_TRY_AGAIN"
#define MF_MSG_OPER_READ_ONLY			"Operation failed: Read Only Area"
#define MF_POPUP_MSG_NAME_INVALID		"IDS_MF_POP_INVALID_FILE_NAME"
#define MF_RENAME_MSG_GET_NAME_FAILED		"Get name failed"
#define MF_MSG_SET_NAME_DOT			"IDS_MF_TPOP_CANNOT_SET_FOLDER_NAME_AS_OR"
#define MF_MSG_SET_NAME_ALL_SPACE		"IDS_MF_POP_INVALID_FILE_NAME"
#define MF_MSG_GENERATE_NEW_NAME_FAILED		"Generate new name failed, Retry?"
#define MF_MSG_UNKNOW_REASON_RENAME_FAILED	"IDS_COM_POP_FAILED"
#define MF_MSG_NO_NAME_WARNING			"Name is empty. Please enter name"
#define MF_MSG_IO_ERR				"Critical file IO error"
#define MF_MSG_UNKNOWN_ERR			"Unknow file IO error"
#define MF_MSG_BIG_SIZE_ERR			"File size is too big"
#define MF_MSG_LONG_NAME_ERR			"File name is too long"
#define MF_MSG_ARG_ERR				"Argument error"
#define MF_MSG_DEFAULT_ERR			"Internal error"
#define MF_MSG_FAULT_ERR			"Invalid argument pointer"
#define MF_MSG_FILE_TYPE_ERR			"File type error"
#define MF_MSG_MEM_ERR				"Memory malloc error"   //not in use
#define MF_MSG_LOOP_ERR				"Folder structure is too deep" /* Too many symbolic links were encountered in resolving pathname , the max is 16*/
#define MF_MSG_RO_ERR				"Read-only file system"
#define MF_MSG_MAX_OPEN_ERR			"Reach the maximum number of openning files"/*The process already has the maximum number of files open.*/
#define MF_BUTTON_LABEL_RENAME_AUTOMATICALLY	"Rename automatically"    //not in use
#define MF_LABEL_A_TO_Z				"A to Z"				// not in use
#define MF_LABEL_Z_TO_A				"Z to A"				// not in use
#define MF_LABEL_MOST_RECENT			"Most recent"		// not in use
#define MF_LABEL_OLDEST				"Oldest"				// not in use
#define MF_LABEL_UNSELECT_ALL			"Unselect all"		// not in use
#define MF_CATEGORY_LOCAL                       "IDS_MF_HEADER_LOCAL"
#define MF_DEVICE_NO_CONNECTED			"Unable to access selected location"

#define MF_LABE_NOT_SUPPORT			"Not support now"  //not in use
#define MF_LABEL_SPLIT_SCREEN			"Split screen in landscape view"
#define MF_LABEL_REACH_MAX_SHARE_COUNT		"IDS_IV_POP_YOU_CAN_SELECT_UP_TO_PD_ITEMS"//"Maximum number of share items reach"
#define MF_LABEL_SHORTCUT_ADDED			"IDS_MF_POP_SHORTCUT_ADDED"
#define MF_LABEL_NEARBY_DEVICE			"Nearby Device"

/******************  Local strings ****************/
#define MF_LABEL_SHARE_SOUND_AND_SHOT_PICS	"IDS_MF_HEADER_SHARE_SOUND_N_SHOT_PICS_ABB"
#define MF_LABEL_SHARE_AS_VIDEO_FILES	"IDS_MF_OPT_AS_VIDEO_FILES"
#define MF_LABEL_SHARE_AS_IMAGE_FILES	"IDS_MF_OPT_AS_IMAGE_FILES"

//#define MF_LABEL_COMPRESS			"IDS_MF_POP_PROCESSING_ING"
//#define MF_LABEL_COMPRESSING		"IDS_MF_POP_PROCESSING_ING"

/******************  Local strings ****************/
#define MF_LABEL_SCAN_FOR_NEARBY_DEVICE		"IDS_MF_OPT_SCAN_FOR_NEARBY_DEVICES_ABB"
#define MF_LABEL_NO_DEVICE_FOUND		"IDS_MF_TPOP_NO_DEVICES_FOUND_SCANNING_WILL_CONTINUE_IN_BACKGROUND"
#define MF_LABEL_COMPRESSING			"IDS_MF_POP_PROCESSING_ING"
#define MF_LABEL_DECOMPRESS			"IDS_MF_OPT_EXTRACT"
#define MF_LABEL_DECOMPRESSING			"IDS_MF_POP_PROCESSING_ING"
#define MF_LABEL_COMPRESSED			"IDS_MF_TPOP_FILES_COMPRESSED"
#define MF_LABEL_DECOMPRESSED			"IDS_MF_TPOP_FILES_EXTRACTED"
#define MF_POP_LAUNCHING			"IDS_MF_POP_LOADING_ING"
#define MF_MSG_DUP_NAME				"IDS_COM_POP_ALREDY_EXISTS"
#define MF_MSG_EMPTY_FOLDER_NAME		"IDS_MF_POP_NAME_IS_EMPTY"
#define MF_MSG_GET_NAME_FAILED			"IDS_MF_POP_INVALID_FILE_NAME"
#define MF_MSG_MOVE_FAILED2			"IDS_MF_POP_THE_DESTINATION_FOLDER_IS_THE_SAME_AS_THE_SOURCE_FOLDER"
#define MF_MSG_COPY_FAILED1			"IDS_MF_POP_THE_DESTINATION_FOLDER_IS_A_SUBFOLDER_OF_THE_SOURCE_FOLDER"
#define MF_LABEL_REMOVE_FROM_FAVOURITE		"IDS_MF_POP_REMOVE_Q"
#define MF_LABE_NO_RECENT_FILES			"IDS_MF_BODY_NO_RECENTLY_OPENED_FILES"
#define MF_LABE_POP_ALREADY_EXISTS	        "IDS_MF_POP_ALREADY_EXISTS"
#define MF_LABEL_NO_ITEMS			"IDS_COM_BODY_NO_ITEMS"
/********************  local string ID ************/
#define MF_LABEL_DEVICE_MEMORY			"IDS_MF_BODY_DEVICE_STORAGE_ABB"
#define MF_LABEL_SD_CARD			"IDS_MF_BODY_SD_CARD_ABB"
#define MF_LABEL_CANCELING			"IDS_MF_POP_PROCESSING_ING"
#define MF_LABEL_GOTO_FOLDER			"IDS_MF_OPT_OPEN_FILE_LOCATION_ABB"	//fix  P131107-03537  by ray
#define MF_LABLE_SHORTCUT_DOCUMENTS		"IDS_MF_BODY_DOCUMENTS"
#define MF_LABEL_LAUNCHING			"IDS_MF_POP_PROCESSING_ING"

#define MF_POPUP_MESSAGE_SEND_FAIL1		"IDS_MF_POP_SEND_FAILED"
#define MF_MSG_FOLDER_NUM_MAX			"IDS_MF_POP_MAXIMUM_FOLDER_REACHED"
#define MF_MSG_FOLDER_DIR_IN_USE		"IDS_MF_TPOP_FOLDER_NAME_ALREADY_IN_USE"
#define MF_MSG_FILE_NAME_IN_USE			"IDS_MF_TPOP_FILE_NAME_ALREADY_IN_USE"
#define MF_MSG_MEMORY_NOT_ENOUGH		"IDS_MF_POP_NOT_ENOUGH_HEAP_MEMORY"

#define MF_MSG_MOVE_FAILED1			"IDS_MF_POP_THE_DESTINATION_FOLDER_IS_A_SUBFOLDER_OF_THE_SOURCE_FOLDER"
#define MF_MSG_NOT_ENOUGH_SPACE			"IDS_MF_POP_NOT_ENOUGH_MEMORY_DELETE_SOME_ITEMS"
#define MF_MSG_COPY_FAILED2			"IDS_MF_POP_COPYING_FAILED"
#define MF_MSG_MOVE_FAILED3			"IDS_MF_POP_MOVING_FAILED"
#define MF_MSG_DEL_FAILED1			"IDS_MF_POP_DELETE_FAILED"
#define MF_MSG_NO_SPACE				"IDS_MF_BODY_NOT_ENOUGH_MEMORY_IN_PHONE_MEMORY_DELETE_SOME_ITEMS_AND_TRY_AGAIN"
#define MF_MSG_PERMISSION_ERR			"IDS_MF_POP_PERMISSION_DENIED"
#define MF_MSG_COPY_FAILED			"IDS_MF_POP_COPYING_FAILED"
#define MF_MSG_RENAME_ILLEGAL_CHAR		"IDS_VR_POP_INVALID_CHARACTER_ENTERED_TRY_AGAIN"//"IDS_COM_BODY_INVALID_CHARACTER_ENTERED_TRY_AGAIN"


#define LABEL_COPY_HERE				"IDS_MF_OPT_COPY_TO"
#define LABEL_MOVE_TO				"IDS_MF_OPT_MOVE_TO"
#define LABEL_LIST_VIEW				"IDS_MF_OPT_VIEW_BY_LIST"
#define MF_LABEL_UPPER				"IDS_MF_TAB_UP"

#define LABEL_LIST_DETAIL_VIEW			"IDS_MF_BODY_LIST_AND_DETAILS_ABB"
#define LABEL_VIEW_AS				"IDS_MF_OPT_VIEW_AS"
#define MF_LABEL_SHOW_EXTENSION			"IDS_MF_OPT_SHOW_FILE_EXTENSION"
#define MF_LABEL_THUMBNAILS			"IDS_MF_OPT_THUMBNAIL_VIEW"
#define MF_LABEL_SEARCH_ALL			"IDS_MF_BUTTON_SEARCH_ALL_FOLDERS"
#define LABEL_SORT_BY				"IDS_MF_OPT_SORT_BY"
#define MF_LABEL_HIDE_EXTENSION			"IDS_MF_OPT_HIDE_FILE_EXTENSION_ABB"
#define MF_LABEL_ADD_TO_HOME			"IDS_MF_BUTTON_ADD_TO_HOME"
#define MF_LABEL_ITEMS				"IDS_MF_OPT_ITEMS"
#define MF_LABEL_ITEM				"IDS_MF_BODY_PD_ITEM"
#define MF_TRAY_CATEGORY_DOC			"IDS_MF_BODY_DOCUMENTS"
#define MF_LABE_HEADER_STORAGE			"IDS_MF_HEADER_STORAGE_M_MEMORY"
#define MF_LABEL_RECTENT_FILES			"IDS_MF_BUTTON2_RECENTLY_VIEWED_M_FILE_ABB"
#define MF_LABEL_SELECT_ITEMS			"IDS_MF_HEADER_SELECT_ITEMS"
#define MF_LABEL_ADD_TO_SHORTCUT		"IDS_ST_POP_ADD_SHORTCUT"//"IDS_MF_OPT_ADD_TO_SHORTCUTS_ABB"
#define MF_LABEL_COMPRESS			"IDS_MF_OPT_ZIP"
#define LABEL_SORT_BY_CHAP			"IDS_MF_OPT_SORT_BY"
#define LABEL_VIEW_AS_CHAP			"IDS_MF_OPT_VIEW_AS"
#define MF_SHARE_PROCESSING			"IDS_MF_POP_PROCESSING_ING"
#define MF_LABEL_DECOMPRESS_HERE		"IDS_MF_OPT_DECOMPRESS_HERE_ABB"
#define MF_LABEL_EXACT_TO_CURRENT_FOLDER	"IDS_MF_OPT_EXTRACT_TO_CURRENT_FOLDER"
#define MF_LABEL_UNALBE_COPY			"IDS_MF_POP_UNABLE_TO_COPY"
#define MF_LABEL_UNALBE_MOVE			"IDS_MF_POP_UNABLE_TO_MOVE"
#define MF_LABE_NOT_ENOUGH_MEMORY_DELETE_SOME_ITEMS_AND_TRY_AGAIN		"IDS_MF_POP_NOT_ENOUGH_MEMORY_DELETE_SOME_ITEMS_AND_TRY_AGAIN"
#define MF_LABEL_NO_RECENT_FILES		"IDS_MF_BODY_NO_RECENT_FILES"
#define MF_POP_SEARCH_DOCUMENTS			"IDS_MF_BODY_DOCUMENTS"
#define MF_LABEL_STORAGE_USAGE			"IDS_MF_BODY_STORAGE_USAGE_ABB"
#define MF_LABEL_SHARE_LINK			"IDS_MF_OPT_SHARE_LINK"
#define MF_POPUP_DEVICE_DISCONNECT              "IDS_MF_POP_THE_DEVICE_HAS_BEEN_DISCONNECTED"
#define MF_LABEL_NO_SPACE_TO_SETTING		"IDS_MF_POP_THERE_IS_NOT_ENOUGH_SPACE_IN_YOUR_DEVICE_STORAGE_GO_TO_SETTINGS_POWER_AND_STORAGE_STORAGE_THEN_DELETE_SOME_FILES_AND_TRY_AGAIN"
#define MF_LABEL_UNABLE_TO_SAVE_DATA				"IDS_MF_HEADER_UNABLE_TO_SAVE_DATA_ABB"

#define MF_LABEL_SIZE_B				"IDS_EMAIL_BODY_BYTE"          //fix  P131121-00236 by ray
#define MF_LABEL_SIZE_K				"IDS_MF_BODY_DETAILS_KB"
#define MF_LABEL_SIZE_M				"IDS_EMAIL_BODY_MB"
#define MF_LABEL_SIZE_G				"IDS_EMAIL_BODY_GB"
#define MF_LABEL_UNABLE_TO_CONNECT_TO_SERVER			"IDS_EMAIL_POP_UNABLE_TO_CONNECT_TO_SERVER"
#define MF_LABEL_NETWORK_ERROR_OCCURRED				"IDS_MF_POP_UNABLE_TO_PERFORM_THIS_ACTION_NETWORK_ERROR_OCCURRED"
#define MF_LABEL_UNKNOW_ERROR					"IDS_COM_POP_UNKNOWN_ERROR_OCCURRED"
#define MF_LABEL_WIFI_IS_NOT_ENABLE				"IDS_EMAIL_POP_WI_FI_CONNECTION_REQUIRED_CONNECT_TO_WI_FI_NETWORK_AND_TRY_AGAIN"
#define MF_LABEL_HIDEN_SHOW			"IDS_MF_BODY_SHOW_HIDDEN_FILES"
#define MF_LABEL_UPLOADING			"Uploading"  // not in use
#define MF_LABEL_DELETE_ITEM			"IDS_CST_HEADER_DELETE_ITEM_ABB"//"Delete item"
#define MF_LABEL_DELETE_ITEM_Q			"IDS_ST_POP_DELETE_ITEM_Q"//"Delete item?"
#define MF_LABEL_DELETE_THIS_ITEM_Q		"IDS_GALLERY_POP_DELETE_THIS_ITEM_Q"//"Delete this item?"
#define MF_LABEL_DELETE_PD_ITEMS_Q		"IDS_MF_POP_DELETE_PD_ITEMS_Q"//"Delete % item?"
#define MF_LABEL_REMOVE_FILE			"IDS_MF_HEADER_REMOVE_FILE_ABB"
#define MF_LABEL_CONNECT_TO_WIFI		"IDS_MF_HEADER_CONNECT_TO_WI_FI_NETWORK"
#define MF_LABEL_CONNECT_TO_WIFI_CONTENT		"IDS_MF_POP_YOU_NEED_TO_BE_CONNECTED_TO_A_WI_FI_NETWORK_TO_SCAN_FOR_NEARBY_DEVICES_CONNECT_VIA_WI_FI_AND_TRY_AGAIN"
#define MF_LABEL_NO_RESULT_FOUND			"IDS_ST_BODY_NO_RESULTS_FOUND"
#define MF_LABEL_REMOVE_SHORTCUT			"IDS_HS_HEADER_REMOVE_SHORTCUT_ABB"
#define MF_LABEL_RENAME_SHORTCUT		"Rename shortcut"
#define MF_LABEL_NONE				"IDS_COM_BODY_NONE"
#define MF_LABEL_MOVE_TO_PRIVATE				"IDS_GALLERY_OPT_MOVE_TO_PRIVATE"
#define MF_LABEL_REMOVE_FROM_PRIVATE			"IDS_GALLERY_OPT_REMOVE_FROM_PRIVATE"
#define MF_LABEL_CONNECT_TO_MOBILE_NETWORK		"IDS_MF_HEADER_CONNECT_TO_MOBILE_NETWORK"
#define MF_LABEL_MOBILE_NETWORK_USED_NOTICES		"IDS_SAPPS_POP_WI_FI_IS_NOT_AVAILABLE_CONNECTING_TO_MOBILE_NETWORKS_MAY_RESULT_IN_ADDITIONAL_CHARGES_DEPENDING_ON_YOUR_PAYMENT_PLAN"
#define MF_LABEL_DO_NOT_SHOW_AGAIN			"IDS_CST_OPT_DO_NOT_SHOW_AGAIN"
#define MF_LABEL_CONNECT				"IDS_STORYALBUM_BUTTON_CONNECT_ABB"
#define MF_LABEL_AD_CHANGE			"IDS_CST_BUTTON2_CHANGE"
#define MF_LABEL_AD_SEARCH			"IDS_MF_SK3_SEARCH"
#define MF_LABEL_AD_OPTIONS			"IDS_SSEARCH_SK3_OPTIONS"
#define MF_LABEL_SHORTCUT			"Shortcut"
#define MF_LABEL_ALL_FILES			"IDS_MF_HEADER_ALL_FILES"
#define MF_LABEL_DOWNLOADED_APP			"Downloaded app"
#define MF_LABEL_DOWNLOADED_APP_ENTER			"IDS_MF_HEADER_DOWNLOAD_HISTORY_ABB"
#define MF_LABEL_DELETE_SHORTCUT		"Delete shortcut"
#define MF_LABEL_DELETE_THIS_SHORTCUT		"This shortcut will be deleted."
#define MF_LABEL_DELETE_SHORTCUTS_Q		"%d shortcuts will be deleted."
#define MF_LABEL_DELETE_THIS_RECENT		"IDS_DM_POP_THIS_ITEM_WILL_BE_DELETED_ABB"
#define MF_LABEL_DELETE_RECENT_Q		"IDS_MF_POP_PD_ITEMS_WILL_BE_REMOVED"
#define MF_LABEL_UNINSTALL			"IDS_MF_BUTTON_UNINSTALL_ABB2"
#define MF_LABE_MAX_COUNT_REACH	        	"Max count of shortcut is 20"
#define MF_LABEL_THIS_ITEM_WILL_DELETE		"IDS_DM_POP_THIS_ITEM_WILL_BE_DELETED_ABB"
#define MF_LABEL_ITEMS_WILL_DELETE		"IDS_DM_POP_PD_ITEMS_WILL_BE_DELETED_ABB2"
#define MF_LABEL_DELETE_SHORTCUT		"Delete shortcut"
#define MF_LABEL_FOLDER_NAME_ALREADY_INUSE	"IDS_MF_TPOP_FOLDER_NAME_ALREADY_IN_USE"
#define MF_LABEL_SHORTCUT_ALREADY_INUSE		"Shortcut already in use."
#define MF_LABEL_TIME				"IDS_MF_BODY_TIME"
#define MF_LABEL_TYPE				"IDS_COM_POP_TYPE"
#define MF_LABEL_NAME				"IDS_MF_OPT_NAME"
#define MF_LABEL_SIZE				"IDS_COM_BODY_SIZE"
#define MF_LABEL_ORDER				"IDS_MF_HEADER_ORDER"
#define MF_LABEL_ASCENDING			"IDS_MF_POP_ASCENDING"
#define MF_LABEL_DESCENDING			"IDS_MF_POP_DESCENDING"
#define MF_LABEL_UNSIGNED_IN			"IDS_MF_BODY_NOT_SIGNED_IN"
#define	MF_LABEL_SELECT_STORAGE		"IDS_CLOG_HEADER_SELECT_STORAGE"

#define MF_TITLE_LABEL_DETAILS			"IDS_MF_SK_DETAILS"
#define MF_LABEL_UNABLE_TO_OPEN_FILE	"IDS_DM_HEADER_UNABLE_TO_OPEN_FILE"
#define MF_LABEL_SAME_FILE				"IDS_MF_POP_DUPLICATED_FILE"
#define MF_LABEL_SAME_FOLDER			"IDS_MF_HEADER_FOLDER_NAME_IN_USE"
#define MF_LABEL_APPLY_ALL				"IDS_MF_OPT_APPLY_TO_ALL_ITEMS_ABB"
#define MF_LABEL_SAME_FOLDER_LABEL	"IDS_MF_POP_THIS_FOLDER_NAME_HPS_IS_ALREADY_IN_USE_IN_THE_DESTINATION_FOLDER"
#define MF_LABEL_SAME_FILE_LABEL	"IDS_MF_POP_THIS_FILE_NAME_HPS_IS_ALREADY_IN_USE_IN_THE_DESTINATION_FOLDER"
#define MF_POPUP_BUTTON_CANCEL        "IDS_MF_BUTTON_CANCEL_ABB"


#endif //__DEF_MYFILE_RESOURCE_H_
